Bug 1256910 - tests from golang-test have failures
tests from golang-test have failures
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: golang (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vincent Batts
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 13:37 EDT by Vincent Batts
Modified: 2015-10-01 16:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: golang-1.5.1-0.fc22 golang-1.5.1-0.el6 golang-1.5.1-0.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-01 14:51:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Batts 2015-08-25 13:37:24 EDT
Description of problem:
Then run go test -a std

Quite a few tests failed due to missing testdata folder

Some non trivial fails:
panic: cannot load America/Los_Angeles for testing: open /usr/lib/golang/lib/time/zoneinfo.zip: no such file or directory


--- FAIL: TestTypeByExtension (0.00s)
        type_test.go:46: TypeByExtension(".T1") = "", want "application/test"
        type_test.go:46: TypeByExtension(".t2") = "", want "text/test; charset=utf-8"
FAIL

Version-Release number of selected component (if applicable):
golang-1.5-2
Comment 1 Vincent Batts 2015-08-26 15:48:21 EDT
http://koji.fedoraproject.org/koji/buildinfo?buildID=680571 has improved test handling
Comment 2 Fedora Update System 2015-09-03 09:43:28 EDT
golang-1.5-6.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14970
Comment 3 Fedora Update System 2015-09-03 09:46:28 EDT
golang-1.5-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14972
Comment 4 Fedora Update System 2015-09-04 02:53:05 EDT
golang-1.5-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14972
Comment 5 Fedora Update System 2015-09-04 03:29:41 EDT
golang-1.5-6.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14970
Comment 6 Fedora Update System 2015-09-04 11:47:39 EDT
golang-1.5-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-7912
Comment 7 Fedora Update System 2015-09-04 19:20:10 EDT
golang-1.5-8.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15108
Comment 8 Fedora Update System 2015-09-11 11:31:20 EDT
golang-1.5.1-0.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15618
Comment 9 Fedora Update System 2015-09-11 11:31:35 EDT
golang-1.5.1-0.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8044
Comment 10 Fedora Update System 2015-09-11 11:31:49 EDT
golang-1.5.1-0.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15619
Comment 11 Fedora Update System 2015-09-12 23:49:18 EDT
golang-1.5.1-0.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15618
Comment 12 Fedora Update System 2015-09-13 00:20:29 EDT
golang-1.5.1-0.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15619
Comment 13 Fedora Update System 2015-09-13 21:50:38 EDT
golang-1.5.1-0.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update golang'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8044
Comment 14 Fedora Update System 2015-10-01 14:50:47 EDT
golang-1.5.1-0.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-10-01 14:56:24 EDT
golang-1.5.1-0.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-01 16:22:48 EDT
golang-1.5.1-0.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.